version: "3.8"

volumes:
  ltdv-log:
    name: ltdv-log
  ltdv-stats:
    name: ltdv-stats

services:
  ltdv-prod:
    container_name: ltdv-prod
    build: .
    restart: always
    labels:
      traefik.enable: "true"
      traefik.http.routers.ltdv-prod.rule: "Host(`${URL}`)"
      traefik.http.routers.ltdv-prod.entrypoints: "web"
    volumes:
      - ltdv-log:/var/log/nginx
      - ltdv-stats:/usr/share/nginx/html/stats
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro

  ltdv-stats:
    container_name: ltdv-stats
    image: registry.weko.io/goaccess:1.4.6
    restart: always
    depends_on:
      - ltdv-prod
    volumes:
      - ltdv-log:/var/log/nginx
      - ltdv-stats:/usr/share/nginx/html/stats
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro

networks:
  default:
    external:
      name: traefik
